<div id="top_of_dialog">
    <strong>Modifica Configurazione</strong>
</div>

<md-content layout-padding>
    <form name="dialogForm" ng-submit="save()">

        <md-input-container class="md-block">
            <label>Dsp</label>
            <md-select name="dsp" ng-model-options="{ trackBy: '$value.idDsp' }" ng-model="ngDialogData.dsp" ng-change="onDspSelection()" required>
                <md-option ng-repeat="dsp in ngDialogData.dspList" ng-value="{{dsp}}">{{ dsp.name }}</md-option>
            </md-select>
            <div ng-show="dialogForm.dsp.$touched && dialogForm.dsp.$invalid"
                class="error md-input-messages-animation">
                Campo obbligatorio.</div>
        </md-input-container>

        <md-input-container class="md-block">
            <label>Territorio</label>
            <md-select name="territorio" required ng-model="ngDialogData.territorio.code">
                <md-option ng-repeat="territorio in ngDialogData.territorioList" value="{{territorio.code}}">
                    {{ territorio.value }}</md-option>
            </md-select>
            <div ng-show="dialogForm.territorio.$touched && dialogForm.territorio.$invalid"
                class="error md-input-messages-animation">
                Campo obbligatorio.</div>
        </md-input-container>

        <md-input-container class="md-block">
            <label>Tipo Utilizzo</label>
            <md-select name="tipoUtilizzo" ng-model-options="{ trackBy: '$value.idUtilizationType' }" required ng-model="ngDialogData.tipoUtilizzo">
                <md-option ng-repeat="tipo in ngDialogData.filteredTipoUtilizzoList" ng-value="{{tipo}}">{{ tipo.name }}
                </md-option>
            </md-select>
            <div ng-show="dialogForm.tipoUtilizzo.$touched && dialogForm.tipoUtilizzo.$invalid" class="error md-input-messages-animation">
                Campo obbligatorio.</div>
        </md-input-container>

        <md-input-container class="md-block">
            <label>Offerta Commerciale</label>
            <md-select name="offertaCommerciale" ng-model-options="{ trackBy: '$value.idCommercialOffering' }" required ng-model="ngDialogData.offertaCommerciale">
                <md-option ng-repeat="offerta in ngDialogData.filteredOffertaCommercialeList" ng-value="{{offerta}}">
                    {{ offerta.offering }}</md-option>
            </md-select>
            <div ng-show="dialogForm.offerta.$touched && dialogForm.offerta.$invalid" class="error md-input-messages-animation">
                Campo obbligatorio.</div>
        </md-input-container>

        <md-input-container class="md-block">
            <label>Frequenza Dsr</label>
            <md-select name="frequenzaDsr" required ng-model="ngDialogData.frequenzaDsr">
                <!-- "mensile" o "trimestrale" -->
                <md-option ng-repeat="frequenza in ngDialogData.frequenzaList" value="{{frequenza}}">{{ frequenza }}
                </md-option>
            </md-select>
            <div ng-show="dialogForm.frequenzaDsr.$touched && dialogForm.frequenzaDsr.$invalid" class="error md-input-messages-animation">
                Campo obbligatorio.</div>
        </md-input-container>

        <md-input-container class="md-block reduceMargin">
            <label>Sla Invio Dsr</label>
            <input name="slaInvioDsr" ng-model="ngDialogData.slaInvioDsr">
        </md-input-container>

        <md-input-container class="md-block reduceMargin">
            <label>Sla Invio Ccid</label>
            <input name="slaInvioCcid" ng-model="ngDialogData.slaInvioCcid">
        </md-input-container>

        <md-input-container class="md-block reduceMargin">
            <label>Dsr Attesi</label>
            <input name="dsrAttesi" required ng-model="ngDialogData.dsrAttesi">
            <div ng-show="dialogForm.dsrAttesi.$touched && dialogForm.dsrAttesi.$invalid" class="error md-input-messages-animation">
                Campo obbligatorio.</div>
        </md-input-container>

        <div class="buttonContainer flexRowEnd">

            <button type="button" class="btn addButton" ng-click="cancel()">
                <span class="glyphicon glyphicon-remove"></span><strong>Annulla</strong>
            </button>
            <button type="submit" class="btn addButton">
                <span class="glyphicon glyphicon-check"></span><strong>Conferma</strong>
            </button>
        </div>
    </form>
</md-content>